View Issue Details

IDProjectCategoryLast Update
0021272AI War 2[All Projects] Bug - OtherJun 8, 2019 4:25 pm
ReporterRocketAssistedPuffinAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBETA 0.866 Hotfix 
Fixed in VersionBETA 0.867 Smarter AI, Better Mark Spread, Player Economic Boom 
Summary0021272: Anti-Everyone Zombie that keeps coming back.
DescriptionCaused by a Warden Fleet Parasite. Upon death, this Dyson Bastion will come back to life again as a Zombie, only to be zombified again by the same Parasites, and repeat.
TagsNo tags attached.

Activities

RocketAssistedPuffin

Jun 4, 2019 7:28 pm

developer  

RespawningAntiEveryoneZombie.save (788,495 bytes)

BadgerBadger

Jun 4, 2019 8:13 pm

manager   ~0051845

Is this actually a problem?

RocketAssistedPuffin

Jun 5, 2019 7:13 am

developer   ~0051849

It's a Warden Parasite, it should be making Anti-Player zombies, not Anti-Everyone.

I'd say yes, it's a problem, considering how many times the thing was killed only to come back. This could go on for a very long time, as long as there were Parasites still left.

If it made Anti-Player zombies, then this'd probably be fixed, as there isn't really a source of Anti-Everyone zombies outside of this.

BadgerBadger

Jun 8, 2019 4:25 pm

manager   ~0051901

Warden, hunter and anti-player zombies now will create anti-player zombies when doing zombification

Issue History

Date Modified Username Field Change
Jun 4, 2019 7:28 pm RocketAssistedPuffin New Issue
Jun 4, 2019 7:28 pm RocketAssistedPuffin File Added: RespawningAntiEveryoneZombie.save
Jun 4, 2019 8:13 pm BadgerBadger Note Added: 0051845
Jun 5, 2019 7:13 am RocketAssistedPuffin Note Added: 0051849
Jun 8, 2019 4:25 pm BadgerBadger Assigned To => BadgerBadger
Jun 8, 2019 4:25 pm BadgerBadger Status new => resolved
Jun 8, 2019 4:25 pm BadgerBadger Resolution open => fixed
Jun 8, 2019 4:25 pm BadgerBadger Fixed in Version => BETA 0.867 Smarter AI, Better Mark Spread, Player Economic Boom
Jun 8, 2019 4:25 pm BadgerBadger Note Added: 0051901